=== modified file 'bzrlib/tests/__init__.py'
--- bzrlib/tests/__init__.py	2007-05-15 17:40:32 +0000
+++ bzrlib/tests/__init__.py	2007-05-20 09:57:58 +0000
@@ -121,6 +121,7 @@
     import bzrlib.tests.blackbox
     import bzrlib.tests.branch_implementations
     import bzrlib.tests.bzrdir_implementations
+    import bzrlib.tests.commands
     import bzrlib.tests.interrepository_implementations
     import bzrlib.tests.interversionedfile_implementations
     import bzrlib.tests.intertree_implementations
@@ -134,6 +135,7 @@
             bzrlib.tests.blackbox,
             bzrlib.tests.branch_implementations,
             bzrlib.tests.bzrdir_implementations,
+            bzrlib.tests.commands,
             bzrlib.tests.interrepository_implementations,
             bzrlib.tests.interversionedfile_implementations,
             bzrlib.tests.intertree_implementations,
@@ -2299,7 +2301,6 @@
                    'bzrlib.tests.test_identitymap',
                    'bzrlib.tests.test_ignores',
                    'bzrlib.tests.test_inv',
-                   'bzrlib.tests.test_init',
                    'bzrlib.tests.test_knit',
                    'bzrlib.tests.test_lazy_import',
                    'bzrlib.tests.test_lazy_regex',

=== added directory 'bzrlib/tests/commands'
=== added file 'bzrlib/tests/commands/__init__.py'
--- bzrlib/tests/commands/__init__.py	1970-01-01 00:00:00 +0000
+++ bzrlib/tests/commands/__init__.py	2007-05-20 09:57:58 +0000
@@ -0,0 +1,36 @@
+# Copyright (C) 2007 Canonical Ltd
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+
+
+"""Commands behaviour tests for bzr.
+
+These test the behaviour of the commands.
+The API is tested in the tests/blackbox files.
+"""
+
+from bzrlib.tests import (
+                          TestLoader,
+                          )
+
+
+def test_suite():
+    testmod_names = [
+        'bzrlib.tests.commands.test_init',
+        ]
+    loader = TestLoader()
+    suite = loader.loadTestsFromModuleNames(testmod_names)
+
+    return suite

=== renamed file 'bzrlib/tests/test_init.py' => 'bzrlib/tests/commands/test_init.py'
